Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.web
[Java] Class MimeTypesTransformer

    java.lang.Object
      org.codehaus.groovy.grails.compiler.web.MimeTypesTransformer

All Implemented Interfaces:
  AnnotatedClassInjector, GrailsArtefactClassInjector

    @AstTransformer
    public class MimeTypesTransformer
    extends java.lang.Object

Adds the withFormat and other mime related methods to controllers at compile time.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static org.codehaus.groovy.ast.Parameter[]` | `CLOSURE_PARAMETER`
`static java.util.regex.Pattern` | `CONTROLLER_PATTERN`
`static java.lang.String` | `FIELD_MIME_TYPES_API`
`static java.lang.String` | `WITH_FORMAT_METHOD`

Method Summary
`java.lang.String[]` | `getArtefactTypes()`
`protected org.codehaus.groovy.ast.AnnotationNode` | `getMarkerAnnotation()`
`void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
`boolean` | `shouldInject(java.net.URL url)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CLOSURE_PARAMETER

    public static final org.codehaus.groovy.ast.Parameter[] CLOSURE_PARAMETER

### CONTROLLER_PATTERN

    public static java.util.regex.Pattern CONTROLLER_PATTERN

### FIELD_MIME_TYPES_API

    public static final java.lang.String FIELD_MIME_TYPES_API

### WITH_FORMAT_METHOD

    public static final java.lang.String WITH_FORMAT_METHOD

Method Detail

### getArtefactTypes

    public java.lang.String[] getArtefactTypes()

### getMarkerAnnotation

    protected org.codehaus.groovy.ast.AnnotationNode getMarkerAnnotation()

### performInjection

    public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

### performInjection

    public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

### performInjectionOnAnnotatedClass

    @java.lang.Overridepublic void performInjectionOnAnnotatedClass(SourceUnit source, ClassNode classNode) {
    public void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

### performInjectionOnAnnotatedClass

    public void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

### shouldInject

    public boolean shouldInject(java.net.URL url)

Groovy Documentation